import request from '@/utils/request';
import { praseStrEmpty } from "@/utils/ruoyi";

/**
 * 查询列表
 */
export function listFullPartyMember(query) {
  return request({
    url: '/town/partymember/list',
    method: 'get',
    params: query
  });
}

// 新增
export function addFullPartyMember(data) {
  return request({
    url: '/town/partymember',
    method: 'post',
    data: data
  });
}

// 修改用户
export function updateFullPartyMember(data) {
  return request({
    url: '/town/partymember',
    method: 'put',
    data: data
  });
}

// 查询详细
export function viewFullPartyMember(id) {
  return request({
    url: '/town/partymember/' + praseStrEmpty(id),
    method: 'get'
  });
}

// 删除
export function delFullPartyMember(ids) {
  return request({
    url: '/town/partymember/' + ids,
    method: 'delete'
  })
}

// 查询所有党员选项列表
export function getFullPartyMemberOptions() {
  return request({
    url: '/town/partymember/nameList',
    method: 'get'
  });
}
